<template>
  <div>
    <h1>{{ id }}</h1>
    <h1>{{ code }}</h1>
    <h1>{{ name }}</h1>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import gql from 'graphql-tag'
const QUERY_SUBJECT = gql(`
    query {
      subjects {
        code,
        name
      }
    }
`)
export default Vue.extend({
  data() {
    return {
      id: '',
      code: '',
      name: '',
      subjects: [],
    }
  },
  methods: {
    async loadSubject() {
      try {
        const { data } = await this.$apollo.query({ query: QUERY_SUBJECT })
        this.subjects = data.subjects
      } catch (e) {
        console.log(e)
      }
    },
  },
  mounted() {
    this.loadSubject()
    // this.id = this.$route.params.id;
    const { id } = this.$route.params
    this.id = id
    const { code, name } = this.$route.query
    if (code) this.code = code[0] ?? ''
    if (name) this.name = name[0] ?? ''
  },
})
</script>